module Dipps
  module Client
    class Configuration
      OPTIONS = %i[api_key api_url fetch_schema]

      def initialize
        @options = {}
      end

      OPTIONS.each do |option|
        define_method(option) do
          @options[option]
        end

        define_method("#{option}=") do |value|
          @options[option] = value
        end
      end
    end
  end
end
